package com.sa.ibiz.demo.demo.service.impl;

import java.util.List;
import javax.annotation.Resource;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.sa.ibiz.demo.demo.mapper.WFActorMapper;
import com.sa.ibiz.demo.demo.domain.WFActor;
import com.sa.ibiz.demo.demo.service.WFActorService;
import com.sa.ibiz.demo.ibizutil.service.ServiceImplBase;
import com.sa.ibiz.demo.demo.service.dto.WFActorSearchFilter;
import org.springframework.util.DigestUtils;
import org.springframework.util.StringUtils;
import java.util.UUID;
import java.util.Map;
import org.springframework.beans.factory.annotation.Autowired;
import java.util.TreeMap;
import java.util.regex.Matcher;
import java.util.regex.Pattern;
import java.math.BigInteger;
import com.sa.ibiz.demo.ibizutil.annotation.PreField;
import java.lang.reflect.Field;


/**
 * 实体[WFActor] 服务对象接口实现
 */
@Service
public class WFActorServiceImpl extends ServiceImplBase<WFActorMapper, WFActor> implements WFActorService{


    @Resource
    private WFActorMapper wfactorMapper;


    @Override
    public boolean create(WFActor et) {
        this.beforeCreate(et);
         return super.create(et);
    }
    @Override
    public boolean update(WFActor et){
        this.beforeUpdate(et);
		this.wfactorMapper.updateOne(et);
		this.get(et);
		return true;
    }

    public Object getEntityKey(WFActor et){
		return et.getWfactorid();  
    }

    @Override
    public boolean getDraft(WFActor et)  {
            return true;
    }

	public List<WFActor> listDefault(WFActorSearchFilter filter) {
		return wfactorMapper.searchDefault(filter,filter.getSelectCond());
	}

	public Page<WFActor> searchDefault(WFActorSearchFilter filter) {
		return wfactorMapper.searchDefault(filter.getPage(),filter,filter.getSelectCond());
	}


	public List<WFActor> listIndexDER(WFActorSearchFilter filter) {
		return wfactorMapper.searchIndexDER(filter,filter.getSelectCond());
	}

	public Page<WFActor> searchIndexDER(WFActorSearchFilter filter) {
		return wfactorMapper.searchIndexDER(filter.getPage(),filter,filter.getSelectCond());
	}

    public  List<Map<String,Object>> selectRow(String sql){
       return wfactorMapper.selectRow(sql);
    }

 }